Subject: Re: a way to read the current cpu load from the shell or via a cmdline utility in cygwin?
From: Jim George <[email-masked]>
To: Igor Pechtchanski <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Jul 2002 22:09:30 +0100

On Thu, 25 Jul 2002 11:57:51 -0400 (EDT)
Igor Pechtchanski <[email-masked]> wrote:

> On Thu, 25 Jul 2002, Greg McCrory wrote:
> 
> > At 7/24/2002 11:38 PM -0400, Igor Pechtchanski wrote:
> > >On Wed, 24 Jul 2002, Jim George wrote:
> > >
> > >Jim,
> > >
> > >I did a google search on "linux top cpu load".  Here's a top from the
> > >first match: http://www.groupsys.com/topsrc/top-3.5beta9.tar.gz
> > >It took about an hour to make it compile and run under cygwin 1.3.12-2 on
> > >Win2k.  The patch is attached.
> > >
> > >Note: I just compiled and ran the code; I haven't verified the correctness
> > >of the output.  It seemed to work without crashing, and the output looked
> > >plausible.  I also haven't tested it on any system other than mine (above).
> > >Try it at your own risk.
> > >     Igor
> >
> > Notes on my quick attempt this morning:
> >
> > To get the ./Configure to run properly I needed a symbolic link to tcsh:
> > ln -s /bin/tcsh /bin/csh
> 
> Right, I have that too (from way back, no wonder I forgot to mention it).
> 
> > Also chose module linux when asked.
> 
> Yep.  Again, should have said that.
> 
> > for owner, used SYSTEM instead of default root
> 
> chown and chgrp didn't seem to work for me at all.  However, I don't have
> a CYGWIN variable, so that might be the reason.  I don't miss it, though.
> 
> > install script did not move the executable into the proper directory:
> 
> I used /usr/bin/install as the install command.
> 
> > ./install -o SYSTEM -m 4711 -g SYSTEM top /usr/local/bin
> > chown: changing ownership of `/usr/local/bin/top': No such file or directory
> > chgrp: changing group of `/usr/local/bin/top': No such file or directory
> > chmod: changing permissions of `/usr/local/bin/top': No such file or directory
> > make: *** [install-top] Error 1
> 
> See http://cygwin.com/cygwin-ug-net/using-specialnames.html#AEN644
> It may be necessary to use the local script after all, and re-write it to
> boot.
> 
> > I was able to install it manually and it appears to work.
> > GMc
> 
> Not quite correctly -- see
> http://cygwin.com/ml/cygwin/2002-07/msg01995.html
> 	Igor
Hi everyone,

	well I got as far as compiling and installing, in the same way that Greg did, but...

	When I run top I get the following error..

		top: proc filesystem not mounted on /proc
		     type = 6

	The output of mount is..

	C:\cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type system (binmode)
	C:\cygwin\bin on /usr/bin type system (binmode)
	C:\cygwin\lib on /usr/lib type system (binmode)
	C:\cygwin on / type system (binmode)
	c: on /cygdrive/c type user (binmode,noumount)
	u: on /cygdrive/u type user (binmode,noumount)
	v: on /cygdrive/v type user (binmode,noumount)

	Can anyone tell me what I've done wrong?  Do I need to explicitly mount /proc?

jim

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/